Skip to navigation

Create an intent

Creates an intent associated with an enrolled account for agent-executed purchases. This API supports a multi-step flow when additional authentication is required:

  • The initial request submits intent details for validation and risk assessment.
  • If step-up authentication is required, a follow-up request must be made with the intent identifier and step-up verification details.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

AuthorizationstringRequired

The OAuth authorization header generated as prescribed in the Oauth 2.0 guide

trackingIdstringRequired
A unique identifier for request tracking.
agentIdstringRequired
Agent's unique identifier.

Request

A request to create an intent associated with an enrolled account. The request payload is JWE-encrypted on the wire.

The initial request for intent validation and risk assessment (before step-up verification)objectRequired
OR
The follow-up request after completing step-up verification.objectRequired

Response

Successful response
The response returned when additional authentication is required to proceed with the intent.object
The response returned when additional authentication is required to proceed with the intent.
OR
The response returned after successful step-up authentication for the intent.object

The response returned after successful step-up authentication for the intent.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error